## galapi
Class xsBoolean

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsBoolean

public class xsBoolean
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsBoolean(boolean b)`

Method Summary
`protected static int` `booleanToItem(boolean b)`
`protected static boolean` `itemToBoolean(int i)`
`boolean` `toBoolean()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsBoolean

    public xsBoolean(boolean b)
              throws GalapiException

Method Detail

### toBoolean

    public boolean toBoolean()
                      throws GalapiException

  Throws:
    `GalapiException`

### booleanToItem

    protected static int booleanToItem(boolean b)

### itemToBoolean

    protected static boolean itemToBoolean(int i)